[Mongrel-development] 1.9

Kirk Haines wyhaines at gmail.com
Tue Dec 11 13:11:43 EST 2007


On Dec 11, 2007 11:02 AM, Luis Lavena <luislavena at gmail.com> wrote:

> So, for users asking: is mongrel 1.9?... will be, that takes time. We
> have 1 year ahead to make it compatible.
>
> Stop bugging us! :D

Yeah.  1.9 is a moving target.  It _may_ not take a lot to make
mongrel work with it, but it may take quite a bit more labor to make
Mongrel work with it in an optimal way.

The switch to native threads means that the thread-per-request
approach gets more complex, for instance.  Left as is, performance
will probaby suffer substantially, as native threads are a lot more
expensive to create than Ruby green threads.

We should probably start thinking about and talking about these issues
so that we don't get too far behind the curve, but having a
1.9-compatible/2.0 read Mongrel is going to take time.


Kirk


More information about the Mongrel-development mailing list